Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.roi
Class ROIManagerJAI

    java.lang.Object
      |
      +--com.vistech.jai.roi.ROIManagerJAI

All Implemented Interfaces:
  java.awt.event.ActionListener, javax.swing.event.ChangeListener, java.util.EventListener, ShapeEventListener

public class ROIManagerJAI
extends java.lang.Object
implements ShapeEventListener, java.awt.event.ActionListener, javax.swing.event.ChangeListener

Creates a number of ROI-related objects required by the ROIAnalyzer application, and facilitates communication between them through events.

Version:
  1.0 4 Oct 2000
Author:
  Lawrence Rodrigues

Field Summary
`protected javax.media.jai.ROI[]` | `backgroundROI`
`protected javax.media.jai.ROI` | `baseroi`
`protected int` | `currentThreshold`
`protected CompositeCanvasJAI` | `destCanvas`
`protected PanZoom` | `destPanZoom`
`protected int` | `imageHeight`
`protected int` | `imageWidth`
`protected int` | `maskValue`
`protected javax.media.jai.ROI` | `roiCollection`
`protected ROIContextJAI` | `roiContext`
`protected int` | `roiCount`
`protected ShapeMarker` | `roiMarker`
`protected boolean` | `roiOn`
`protected ROIStatsPanel` | `roiPan`
`protected ImageSaverPanel` | `saver`
`protected javax.media.jai.ROIShape` | `shapeROI`
`protected CompositeCanvasJAI` | `sourceCanvas`
`protected PanZoom` | `sourcePanZoom`
`protected ThresholdAdjPanel` | `threshAdjuster`
`protected int` | `viewerHeight`
`protected int` | `viewerWidth`

Constructor Summary
`ROIManagerJAI(int wid, int ht)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`javax.swing.JPanel` | `createROIPanel()`
`javax.swing.JPanel` | `createUI()`
`void` | `depositCurrentROI()`
`void` | `eraseShapes()`
`ImageSaverPanel` | `getImageSaver()`
`CompositeCanvasJAI` | `getSourceCanvas()`
`java.awt.Dimension` | `getViewerSize()`
`boolean` | `isImageDrawn()`
`void` | `reset()`
`void` | `setROIContext(ROIContextJAI roic)`
`void` | `setRoiOn(boolean onOrOff)`
`void` | `setShapeType(int mode)`
`protected void` | `setSliderValues(javax.media.jai.ROI roi)`
`void` | `setSourceCanvas(CompositeCanvasJAI sc)`
`void` | `shapeDrawn(ShapeEvent e)` Called when a shape event is fired.
`void` | `stateChanged(javax.swing.event.ChangeEvent e)`
`protected void` | `thresholdROI(int thresh)`
`void` | `updateROI(java.awt.Shape shape)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imageWidth

    protected int imageWidth

### imageHeight

    protected int imageHeight

### viewerWidth

    protected int viewerWidth

### viewerHeight

    protected int viewerHeight

### sourceCanvas

    protected CompositeCanvasJAI sourceCanvas

### destCanvas

    protected CompositeCanvasJAI destCanvas

### roiContext

    protected ROIContextJAI roiContext

### roiPan

    protected ROIStatsPanel roiPan

### shapeROI

    protected javax.media.jai.ROIShape shapeROI

### roiCount

    protected int roiCount

### roiOn

    protected boolean roiOn

### roiMarker

    protected ShapeMarker roiMarker

### threshAdjuster

    protected ThresholdAdjPanel threshAdjuster

### backgroundROI

    protected javax.media.jai.ROI[] backgroundROI

### baseroi

    protected javax.media.jai.ROI baseroi

### roiCollection

    protected javax.media.jai.ROI roiCollection

### saver

    protected ImageSaverPanel saver

### destPanZoom

    protected PanZoom destPanZoom

### sourcePanZoom

    protected PanZoom sourcePanZoom

### currentThreshold

    protected int currentThreshold

### maskValue

    protected int maskValue

Constructor Detail

### ROIManagerJAI

    public ROIManagerJAI(int wid,
                         int ht)

Method Detail

### setROIContext

    public void setROIContext(ROIContextJAI roic)

### isImageDrawn

    public boolean isImageDrawn()

### createUI

    public javax.swing.JPanel createUI()

### setSourceCanvas

    public void setSourceCanvas(CompositeCanvasJAI sc)

### getSourceCanvas

    public CompositeCanvasJAI getSourceCanvas()

### getImageSaver

    public ImageSaverPanel getImageSaver()

### createROIPanel

    public javax.swing.JPanel createROIPanel()

### setRoiOn

    public void setRoiOn(boolean onOrOff)

### setShapeType

    public void setShapeType(int mode)

### shapeDrawn

    public void shapeDrawn(ShapeEvent e)

  Description copied from interface: `ShapeEventListener`
  Called when a shape event is fired.
  Specified by:
    `shapeDrawn` in interface `ShapeEventListener`
  Following copied from interface: `com.vistech.roi.ShapeEventListener`
  Parameters:
    `e` - the ShapeEvent object

### updateROI

    public void updateROI(java.awt.Shape shape)

### depositCurrentROI

    public void depositCurrentROI()

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### thresholdROI

    protected void thresholdROI(int thresh)

### setSliderValues

    protected void setSliderValues(javax.media.jai.ROI roi)

### eraseShapes

    public void eraseShapes()

### reset

    public void reset()

### getViewerSize

    public java.awt.Dimension getViewerSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD